Ordre de la mise

Le
Jo Engo
Bon voila, dpkg me donne cette (vilaine) sortie :

Préparation du dépaquetage de /mandelbulber2_2.13.2-2_amd64.deb
Dépaquetage de mandelbulber2 (2.13.2-2) sur (2.08.3-1+b1)
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/
mandelbulber2_2.13.2-2_amd64.deb (--unpack) :
tentative de remplacement de « /usr/share/mandelbulber2/language/de.qm »,
qui appartient aussi au paquet mandelbulber2-data 2.08.3-1
dpkg-deb: erreur: coller subprocess was killed by signal (Relais brisé
(pipe))
Préparation du dépaquetage de /mandelbulber2-data_2.13.2-2_all.deb
Dépaquetage de mandelbulber2-data (2.13.2-2) sur (2.08.3-1)
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/
mandelbulber2-data_2.13.2-2_all.deb (--unpack) :
tentative de remplacement de « /usr/share/man/man1/mandelbulber2.1.gz »,
qui appartient aussi au paquet mandelbulber2 2.08.3-1+b1
dpkg-deb: erreur: coller subprocess was killed by signal (Relais brisé
(pipe))

J'ai déjà résolu ce genre de conflit (de canard) à coup de dpkg, sauf que
là c'est circulaire (je suppose que le mainteneur de ce paquet a modifié
la façon dont il le divisait, et du coup ça coince à l'installation.

voila comment je vois les choses :

dpkg --install --force-depends --force-conflicts /var/cache/apt/archives/
mandelbulber2-data_2.13.2-2_all.deb

puis

dpkg --install --force-depends --force-conflicts /var/cache/apt/archives/
mandelbulber2_2.13.2-2_amd64.deb

Est-ce que je commets une erreur ?

Auriez-vous une autre idée ?

Merci de votre attention :-)
--
L'homme m'embête! Si on l'écoutait, on ne s'occuperait que de lui !
-+- René Barjavel, Si j'étais Dieu -+-
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jo Engo
Le #26473270
Le Thu, 26 Apr 2018 18:17:58 +0000, Jo Engo a écrit :
puis
dpkg --install --force-depends --force-conflicts
/var/cache/apt/archives/
mandelbulber2_2.13.2-2_amd64.deb


NB, une fois le /data/ installé je pense que je peux tenter d'installer
le paquetage sans /force/ et ça devrait ne pas coincer.
--
Fi du plaisir que la crainte peut corrompre.
-+- Jean de La Fontaine (1621-1695),
le Rat des villes et le Rat des champs (Fables I.9) -+-
Jo Engo
Le #26473297
Le Thu, 26 Apr 2018 18:17:58 +0000, Jo Engo a écrit :
dpkg --install --force-depends --force-conflicts
/var/cache/apt/archives/
mandelbulber2-data_2.13.2-2_all.deb


Finalement je l'ai fait, et personne pour me signaler que c'est --force-
overwrite qu'il fallait que je mette, heing ? bon ça a bien marché comme
j'ai voulu en faisant :
1/ sudo dpkg --install --force-depends --force-conflicts --force-
overwrite /var/cache/apt/archives/mandelbulber2-data_2.13.2-2_all.deb
NB le force-conflicts ne servait à rien j'avais confusionné avec force-
overwrite
2/ sudo dpkg --install /var/cache/apt/archives/
mandelbulber2_2.13.2-2_amd64.deb
2 sans aucun «force»
--
Le mot chaise est un mot, tu ne peux t'asseoir dessus. Le mot "mot" est
aussi un mot, mais pas le même.
-+- Alfred Korzybski -+-
Publicité
Poster une réponse
Anonyme